> ## Documentation Index
> Fetch the complete documentation index at: https://lingox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Request string queued translation



## OpenAPI

````yaml api-reference/openapi.json post /queue
openapi: 3.0.0
info:
  title: Translator API
  description: The Translator API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /queue:
    post:
      tags:
        - Translation
      summary: Request string queued translation
      operationId: TranslationController_queue
      parameters:
        - name: x-api-key
          required: true
          in: header
          schema:
            type: string
        - name: x-api-secret
          required: true
          in: header
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranslateDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    TranslateDto:
      type: object
      properties:
        text:
          type: string
        from:
          type: string
        to:
          type: string
      required:
        - text
        - from
        - to

````